#
# spec file for package gap-homalg
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-homalg
Summary:        GAP: A homological algebra meta-package for computable Abelian categories
License:        GPL-2.0
Group:          Productivity/Scientific/Math
Version:        2017.10.26
Release:        6.4
Url:            http://homalg-project.github.io/homalg_project/homalg/

#Git-Clone:	git://github.com/homalg-project/homalg
#Git-Web:	https://github.com/homalg-project/homalg
Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/homalg-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.7
Requires:       gap-toolsforhomalg >= 2012.10.27
Suggests:       gap-gapdoc >= 1.0

%description
The package homalg is the foundational part of the homalg project. It
provides procedures to construct basic objects in homological
algebra:

- filtrations of objects
- complexes (of objects and of complexes)
- chain morphisms
- bicomplexes
- bigraded (differential) objects
- spectral sequences
- functors

%prep
%setup -qn homalg-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 2017.10.26
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.05.10
  * No changeog was provided again
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.05
  * No changelog was provided
* Tue Aug  4 2015 jengelh@inai.de
- Update to new upstream release 2015.03.21
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 2014.09.14
  * No changelog was provided
* Wed Jun 18 2014 jengelh@inai.de
- Update to new upstream release 2014.04.07
  * No changelog was provided
* Thu Feb  6 2014 jengelh@inai.de
- Update to new upstream release 2013.10.10
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split homalg (version 2012.10.28) off the gap RPM package
